Skip to main content
POST
Validate Meter

Authorizations

Authorization
string
header
required

Merchant API key from the Dancity dashboard.

Body

application/json
meterNumber
string
required
Example:

"45012345678"

billerCode
string
required

Biller code from GET /api/v1/products (e.g. EKEDC) or display name (e.g. Eko Electricity).

Example:

"EKEDC"

amount
number
required
Example:

2000

meterType
enum<string>
required
Available options:
prepaid,
postpaid
Example:

"prepaid"

Response

Validation successful